/*
 * JPA DAO Template
 *
 *
 * Takatuka - Template fuer JPA DAO
 *
 */

package de.ivu.elect.business.ergebnis.boundary;

import de.ivu.elect.business.ergebnis.entity.Gewaehlt;

@javax.enterprise.context.ApplicationScoped // ELECT-7845
public class GewaehltDAO extends AbstractGewaehltDAO {

  private static final long serialVersionUID = 1L;

  @javax.inject.Inject
  private transient de.ivu.elect.jee.entity.SimpleDAO simpleDAO;

  @Override
  protected javax.persistence.EntityManager getEntityManager() {
    return simpleDAO.getEntityManager();
  }

  public void persist(Gewaehlt gewaehlt){
    getEntityManager().persist(gewaehlt);
  }

  public void remove(Gewaehlt gewaehlt){
    getEntityManager().remove(gewaehlt);
  }

@javax.inject.Inject
private transient de.ivu.elect.presentation.system.DAOCache daoCache;

                    
        /**
        * Name: ErgebnisNoFlush<br>
        * Beschreibung: <br>
        * EJBQL: SELECT o FROM Gewaehlt o WHERE o.ergebnis=?1<br>
        * SQL: <br>
        */
        @Override
        public java.util.List<Gewaehlt> findByErgebnis( @javax.annotation.Nonnull de.ivu.elect.business.ergebnis.entity.Ergebnis ergebnis) {

        if (de.ivu.elect.business.system.control.CacheQueries.CACHE_QUERIES_DAO) {
        de.ivu.elect.presentation.system.FinderKey key = new de.ivu.elect.presentation.system.FinderKey("Gewaehlt.findByErgebnis" ,  ergebnis  );

        Object cached = daoCache.findInCache(key);

        if (cached==null) {
          return daoCache.cache(key, super.findByErgebnis( ergebnis  ));
        }
        return (java.util.List<Gewaehlt>) cached;
        }
            return super.findByErgebnis( ergebnis  );
            }
                    
@Override
public void clear() {
super.clear();
if (de.ivu.elect.business.system.control.CacheQueries.CACHE_QUERIES_DAO) {
daoCache.clear();
}

}

@Override
public void flush() {
super.flush();
if (de.ivu.elect.business.system.control.CacheQueries.CACHE_QUERIES_DAO) {
daoCache.clear();
}
}



}